import request from '@/utils/request'

// 预订单表列表
export function apiBeforehandOrderLists(params: any) {
    return request.get({ url: '/beforehand_order/beforehandorder/lists', params })
}

// 添加预订单表
export function apiBeforehandOrderAdd(params: any) {
    return request.post({ url: '/beforehand_order/beforehandorder/add', params })
}

// 编辑预订单表
export function apiBeforehandOrderEdit(params: any) {
    return request.post({ url: '/beforehand_order/beforehandorder/edit', params })
}
// 一键入库
export function apiBeforehandOrderCreateOutboundOrder(params: any) {
    return request.post({ url: '/beforehand_order/beforehandorder/createOutboundOrder', params })
}

// 删除预订单表
export function apiBeforehandOrderDelete(params: any) {
    return request.post({ url: '/beforehand_order/beforehandorder/delete', params })
}

// 预订单表详情
export function apiBeforehandOrderDetail(params: any) {
    return request.get({ url: '/beforehand_order/beforehandorder/detail', params })
}

// 入库列表
export function apiBeforehandOrderWarehousingLists(params: any) {
    return request.get({ url: '/beforehand_order/beforehandorder/warehousing_lists', params })
}
// 出库列表
export function apiBeforehandOrderOutboundLists(params: any) {
    return request.get({ url: '/beforehand_order/beforehandorder/outbound_lists', params })
}
// 订单转预订单
export function apiPurchaseOrderTransferAdvanceOrder(params: any) {
    return request.post({
        url: '/beforehand_order/beforehandorder/orderTransferAdvanceOrder',
        params
    })
}

// 打印出库标签
export function apiPurchaseOrderExport(params: any) {
    return request.post({
        url: '/beforehand_order/beforehandorder/export',
        params
    })
}
/**
 * 生成支付订单
 */
export function apiPurchaseOrderGenerateOrder(params: any) {
    return request.post({
        url: '/beforehand_order/beforehandorder/generateOrder',
        params
    })
}
